function setup(){
  //questa la funzione per creare il canvas nei parametri sono specificate larghezza ed altezza
  createCanvas(600, 600);
  //definisco il colore di background del canvas, posso specificare i 3+1 parametri R G B e alpha
  //oppure posso come in questo caso specificare un solo parametro e lavorare in scala di grigi
  background(255);

  //prima di creare la forma definisco il riempimento con i colori in R G B alpha (o singolo parametro)
  fill(200,0,0);
  //con noStroke() dico che non voglio bordi sulle figure
  noStroke();
  //creo il rettangolo in x y larghezza e altezza (la creazione avviene dall'angolo in alto a sinistra)
  rect(100,100,300,150);

  //con noFill() indico che non voglio rimpimenti per la mia figura
  noFill();
  //posso definire un colore di bordo per la mia figura
  stroke(0,0,255);
  //con strokeWeight(parametro) posso definire lo spessore per la mia figura
  strokeWeight(6);
  //creo un ellisse (o cerchio se i 2 parametri finali sono uguali) definendo x y diametro diametro
  ellipse(300,300,200,200);
}
